%define date 20070512

Name:           libewf
Version:        0
Release:        2.%{date}%{?dist}
Summary:        Library for the Expert Witness Compression Format (EWF)

Group:          System Environment/Libraries
License:        BSD with advertising
URL:            https://www.uitwisselplatform.nl/projects/libewf/
Source0:        https://www.uitwisselplatform.nl/frs/download.php/303/libewf-%{date}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# Need to be compatible with "BSD with advertising"
BuildRequires:  e2fsprogs-devel
BuildRequires:  openssl-devel
BuildRequires:  zlib-devel


%description
Libewf is a library for support of the Expert Witness Compression Format (EWF),
it support both the SMART format (EWF-S01) and the EnCase format (EWF-E01). 
Libewf allows you to read and write media information within the EWF files.

%package -n     ewftools
Summary:        Utilities for %{name}
Group:          Applications/System
Requires:       %{name} = %{version}-%{release}

%description -n ewftools
The %{name}-utils package contains utilities for using %{name}.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n %{name}-%{date}


%build
%configure --disable-static --enable-wide-character-type
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS
%{_libdir}/*.so.*

%files -n ewftools
%defattr(-,root,root,-)
%{_bindir}/ewf*
%{_mandir}/man1/*.gz

%files devel
%defattr(-,root,root,-)
%doc TESTS
%{_includedir}/libewf.h
%{_includedir}/libewf/
%{_libdir}/*.so
%{_libdir}/pkgconfig/libewf.pc
%{_mandir}/man3/*.gz

%changelog
* Mon Nov  5 2007 kwizart < kwizart at gmail.com > - 0-2.20070512
- Update License to BSD with advertising

* Fri Nov  2 2007 kwizart < kwizart at gmail.com > - 0-1.20070512
- Initial package for Fedora

